import 'package:flutter_test/flutter_test.dart';

import 'package:flutter_multiple_library/lib_a.dart';
import 'package:flutter_multiple_library/lib_b.dart';

/// A Calculator.
class Calculator {
  /// Returns [value] plus 1.
  int addOne(int value) => value + 1;
}

void main() {
  test('adds one to input values', () {
    LibA.sayHi();
    LibB.sayHi();

    final calculator = Calculator();
    expect(calculator.addOne(2), 3);
    expect(calculator.addOne(-7), -6);
    expect(calculator.addOne(0), 1);
  });
}
